Bug 153309 - math/R references files outside the build directory
Summary: math/R references files outside the build directory
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-20 15:10 UTC by Robert Kruus
Modified: 2011-05-07 08:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Kruus 2010-12-20 15:10:09 UTC
I removed gcc version 4.4 and an upgrade/reinstall of math/R (2.11.1 => 2.11.1_1) kept failing with an error referring back to /usr/local/lib/libR.so:
libicuuc.so.38 not found
Which is a valid error as it no longer exists....but the build should not be looking at /usr/local/libR.so should it?

Fix: 

pkg_delete of math/R and clean install works fine.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2010-12-20 15:21:24 UTC
Responsible Changed
From-To: freebsd-bugs->bf

ports PR.
Comment 2 dfilter service freebsd_committer 2011-05-07 04:30:17 UTC
bf          2011-05-07 03:29:59 UTC

  FreeBSD ports repository

  Modified files:
    math/R               Makefile distinfo pkg-plist 
    math/R-cran-mvtnorm  Makefile 
    math/rpy             Makefile pkg-plist 
    math/R-cran-car      Makefile 
    math/R-cran-RSvgDevice Makefile 
    math/rkward          Makefile pkg-plist 
    science/R-cran-AMORE Makefile 
    math/rkward-kde4     Makefile pkg-plist 
    math/R-cran-sp       Makefile 
    math/R-cran-psych    Makefile 
    math/R-cran-gpclib   Makefile 
    math/rpy2            Makefile 
    math/R-cran-sm       Makefile 
    math/R-cran-Zelig    Makefile 
    science/R-cran-bayesm Makefile 
    math/p5-Statistics-R Makefile 
    math/R-cran-coda     Makefile 
    math/R-cran-inline   Makefile 
  Added files:
    math/rkward-kde4/files patch-rkward_rbackend_FindR.cmake 
  Removed files:
    math/R/files         patch-tests__reg-tests-1b.R 
  Log:
  - update to 2.13.0
  - switch to the bundled Rblas and Rlapack by default (this
    can be changed by setting BLAS and LAPACK) which favors
    correctness in some corner cases over a slight performance
    penalty; this will be revisited after the blas and lapack
    updates
  - replace the STATIC_LIBR option with a LIBR option (on
    by default): if on, libR.a and libR.so are installed,
    and R is linked to libR.so. Otherwise, R is static, and
    no libRs are installed.
  - remove the superfluous copy of libR.so in ${LOCALBASE}/lib [1]
  - enable the cairo and pango elements in the X11() graphics
    device by default, controlled by new PANGOCAIRO option
  - add a few small patches to dependent ports, bumping
    PORTREVISION where necessary
  
  PR:             153309 [1]
  Approved by:    thierry (rkward*), wen (rpy*, R-cran-*)
  
  Revision  Changes    Path
  1.11      +1 -1      ports/math/R-cran-RSvgDevice/Makefile
  1.12      +1 -1      ports/math/R-cran-Zelig/Makefile
  1.13      +1 -1      ports/math/R-cran-car/Makefile
  1.5       +1 -0      ports/math/R-cran-coda/Makefile
  1.12      +1 -1      ports/math/R-cran-gpclib/Makefile
  1.9       +1 -0      ports/math/R-cran-inline/Makefile
  1.2       +1 -0      ports/math/R-cran-mvtnorm/Makefile
  1.6       +1 -0      ports/math/R-cran-psych/Makefile
  1.13      +1 -0      ports/math/R-cran-sm/Makefile
  1.14      +1 -0      ports/math/R-cran-sp/Makefile
  1.96      +78 -39    ports/math/R/Makefile
  1.46      +2 -2      ports/math/R/distinfo
  1.3       +0 -19     ports/math/R/files/patch-tests__reg-tests-1b.R (dead)
  1.50      +109 -7    ports/math/R/pkg-plist
  1.2       +1 -0      ports/math/p5-Statistics-R/Makefile
  1.42      +8 -4      ports/math/rkward-kde4/Makefile
  1.1       +11 -0     ports/math/rkward-kde4/files/patch-rkward_rbackend_FindR.cmake (new)
  1.25      +2 -0      ports/math/rkward-kde4/pkg-plist
  1.34      +6 -2      ports/math/rkward/Makefile
  1.14      +1 -0      ports/math/rkward/pkg-plist
  1.24      +8 -2      ports/math/rpy/Makefile
  1.15      +1 -1      ports/math/rpy/pkg-plist
  1.25      +8 -2      ports/math/rpy2/Makefile
  1.2       +1 -0      ports/science/R-cran-AMORE/Makefile
  1.2       +1 -0      ports/science/R-cran-bayesm/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Brendan Fabeny freebsd_committer 2011-05-07 07:34:57 UTC
State Changed
From-To: open->closed

This should be fixed now.  In general, it is wise to deinstall old 
software first, or build in a clean sandbox, because of siy about the 
delay.
Comment 4 b. f. 2011-05-07 08:02:00 UTC
On 5/7/11, bf@freebsd.org <bf@freebsd.org> wrote:
> Synopsis: math/R references files outside the build directory
>
> State-Changed-From-To: open->closed
> State-Changed-By: bf
> State-Changed-When: Sat May 7 06:34:57 UTC 2011
> State-Changed-Why:
> This should be fixed now.  In general, it is wise to deinstall old
> software first, or build in a clean sandbox, because of siy about the
> delay.

The closing comment was truncated, and should read: "... because of
similar problems throughout the Ports tree. Sorry about the delay."

b.